# This file is a template, and might need editing before it works on your project.
# To contribute improvements to CI/CD templates, please follow the Development guide at:
# https://docs.gitlab.com/ee/development/cicd/templates.html
# This specific template is located at:
# https://gitlab.com/gitlab-org/gitlab/-/blob/master/lib/gitlab/ci/templates/Bash.gitlab-ci.yml

# See https://docs.gitlab.com/ee/ci/yaml/index.html for all available options

# you can delete this line if you're not using Docker

stages:
  - test
  - deploy

before_script:
  - echo "Before script section"
  - echo "For example you might run an update here or install a build dependency"
  - echo "Or perhaps you might print out some debugging details"

after_script:
  - echo "After script section"
 
DT_SCA:
  stage: test
  script: 
    #- git clone https://gitlab.com/zh.jeka/softether_test.git
    #- cd softether_test/
    #- curl 
    #  -X "PUT" "http://158.160.4.173:8080/api/v1/bom" 
    #  -H "X-API-Key:hyPKJ0ABimwQpJiCNvyyzun2cxvCXTNB"
    #  -H "Content-Type:multipart/form-data"
    #  -d @installscriptsh.xml
      #-F "bom=@test.json"
    - git clone https://gitlab.com/zh.jeka/softether_test.git
    - curl 
      -X "POST" "http://84.252.138.36:8080/api/v1/bom" \
      -H 'Content-Type:multipart/form-data' 
      -H "X-Api-Key:nUfM3xbZxCzyQkJQC9j5KtNE2GbIdrga" 
      -F "autoCreate=true"
      -F "projectName=test" 
      -F "projectVersion=3"  
      -F "bom=@softether_test/test.xml"



#    - git clone https://gitlab.com/zh.jeka/softether_test.git
 #   - cd softether_test/
  #  - curl 
   #   -X "POST" "http://158.160.4.173:8080/api/v1/bom" \
    #  -H "X-API-Key:hyPKJ0ABimwQpJiCNvyyzun2cxvCXTNB" \
     # -d @installscriptsh.xml \
      #-H "Content-Type:application/vnd.cyclonedx+xml" \
#      -H "autoCreate=true" \
#      -H "projectName=xxxx" \
#      -H "projectVersion=xxxx" \
#      -F "projectName=test" 
#      -F "projectVersion=1" 


#      -X "POST" "http://158.160.4.173:8080/api/v1/bom" \
#      -H 'Content-Type:application/vnd.cyclonedx+xml' \
#      -H 'X-API-Key:hyPKJ0ABimwQpJiCNvyyzun2cxvCXTNB' \
#      -d @installscriptsh.xml \


#удачный запуск
#    - git clone https://gitlab.com/zh.jeka/softether_test.git
#    - cd softether_test/
#    - curl 
#      -X "POST" "http://158.160.1.31:8080/api/v1/bom" 
#      -H "X-API-Key:hyPKJ0ABimwQpJiCNvyyzun2cxvCXTNB"
#      -d @test.json
#      -H "Content-Type:application/json"
#      -H "autoCreate=true"
#      -H "projectName=xxxx"
#      -H "projectVersion=xxxx"




#      -X 'POST' 'http://158.160.4.173:8080/api/v1/bom' \
#      -H 'Content-Type:application/vnd.cyclonedx+xml' \
#      -H 'X-API-Key:hyPKJ0ABimwQpJiCNvyyzun2cxvCXTNB' \
#      -H 'projectName=1' \
#      -T '@installscriptsh.xml' \


#    - curl
#      -X "POST" "http://158.160.4.173:8080/api/v1/bom" \
#      -H 'Content-Type:multipart/form-data' \
#      -H "X-Api-Key:hyPKJ0ABimwQpJiCNvyyzun2cxvCXTNB" \
#      -F "autoCreate=true" \
#      -F "projectName=xxxx" \
#      -F "projectVersion=xxxx" \
#      -F "bom=@softether_test/installscriptsh.xml"


#script: 
  #  - curl -X 'PUT' 'http://localhost:8080/api/v1/bom'
  #    -H X-API-Key: 'hyPKJ0ABimwQpJiCNvyyzun2cxvCXTNB' 
    #-H 'Content-Type: application/json' \


deploy1:
  stage: deploy
  script:
    - git clone https://gitlab.com/zh.jeka/softether_test.git
    - cd softether_test/
    - bash ./'install script.sh'
